Summary:	Very fast and light web browser
Name:		dillo
Version:	3.0.2
Release:	%mkrel 1
URL:		http://www.dillo.org
Source0:	http://www.dillo.org/download/%{name}-%{version}.tar.bz2
Source1:	http://www.dillo.org/download/%{name}-%{version}.tar.bz2.asc 
# The OpenSSL exception is in dpi/https.c - AdamW 2008/12
License:	GPLv3+ with exceptions
Group:		Networking/WWW
Buildrequires:	libjpeg-devel
Buildrequires:	libpng-devel
Buildrequires:	zlib-devel
BuildRequires:	fltk-devel
BuildRequires:	ungif-devel
BuildRequires:	libx11-devel

%description
Dillo is a Web browser that's completely written in C, very fast, and small in
code base and binary. It is a graphical browser built upon FLTK2 and currently
renders a subset of HTML (no frames, no JavaScript, and no JVM).

%prep
%setup -q

%build
%configure2_5x --enable-ipv6
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}
install -m 644 dillorc %{buildroot}%{_sysconfdir}/

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Dillo
Comment=A simple web browser
Exec=%{name}
Icon=networking_www_section
Terminal=false
Type=Application
Categories=Network;WebBrowser;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog* INSTALL NEWS README
%{_bindir}/*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_libdir}/%{name}/
%config(noreplace) %{_sysconfdir}/dillorc
%config(noreplace) %{_sysconfdir}/dillo/dillorc
%config(noreplace) %{_sysconfdir}/dillo/dpidrc
%config(noreplace) %{_sysconfdir}/dillo/keysrc
%{_mandir}/man1/dillo.1*





%changelog

* Tue Dec 06 2011 fwang <fwang> 3.0.2-1.mga2
+ Revision: 177192
- new version 3.0.2
- add url

* Sat Sep 24 2011 fwang <fwang> 3.0.1-1.mga2
+ Revision: 147150
- new version 3.0.1

* Mon Sep 12 2011 fwang <fwang> 3.0-2.mga2
+ Revision: 142620
- rebuild for new libpng

* Sat Sep 10 2011 fwang <fwang> 3.0-1.mga2
+ Revision: 141993
- new version 3.0
- new version 2.2.1

* Mon Apr 25 2011 wally <wally> 2.2-3.mga1
+ Revision: 90312
- fix desktop file (mga#954)
- drop buildroot definition

* Tue Mar 08 2011 ennael <ennael> 2.2-2.mga1
+ Revision: 66388
- clean spec file
- imported package dillo

